package com.simuwang.base.common.enums;

/**
 * @author mozuwen
 * @description PDF水印类型枚举
 * @date 2024/03/14
 */
public enum WaterMarkEnum {

    /**
     * 国泰君安证券水印
     */
    GUOTAI_JUNAN_SECURITIES("仅供中原证券逐鹿中原杯使用", "",  "", ""),

    /**
     * 招商证券水印
     */
    CHINA_MERCHANTS_SECURITIES_1("业绩证明复制无效谨防假冒", "业|绩|证|明|复|制|无|效|谨|防|假|冒",  "", ""),

    /**
     * 招商证券水印
     */
    CHINA_MERCHANTS_SECURITIES_2("产品尽调复制无效谨防假冒", "产|品|尽|调|复|制|无|效|谨|防|假|冒",  "产", "资"),

    /**
     * 招商证券水印
     */
    CHINA_MERCHANTS_SECURITIES_3("公司及产品审计复制无效谨防假冒", "公|司|及|产|品|审|计|复|制|无|效|谨|防|假|冒",  "产", "资"),

    /**
     * 招商证券水印
     */
    CHINA_MERCHANTS_SECURITIES_4("其他场景复制无效谨防假冒", "其|他|场|景|复|制|无|效|谨|防|假|冒",  "", ""),

    /**
     * 招商证券水印
     */
    CHINA_MERCHANTS_SECURITIES_5("复制无效谨防假冒", "复|制|无|效|谨|防|假|冒",  "", ""),

    /**
     * 中信建设证券水印
     */
    CITIC_SECURITIES("仅供申请打新资格及网下配售使用", "仅|供|申|请|打|新|资|格|及|网|下|配|售|使|用",  "资", "产");


    private final String text;
    private final String regex;
    private final String influenceText;
    private final String rectifyText;

    WaterMarkEnum(String text, String regex, String influenceText, String rectifyText) {
        this.text = text;
        this.regex = regex;
        this.influenceText = influenceText;
        this.rectifyText = rectifyText;
    }

    public String getText() {
        return text;
    }

    public String getRegex() {
        return regex;
    }

    public String getInfluenceText() {
        return influenceText;
    }

    public String getRectifyText() {
        return rectifyText;
    }

}
